Skip to main content
GET
/
v1
/
teams
/
{team_id}
/
vault-connections
List Vault Connections
curl --request GET \
  --url https://api.dataraven.io/v1/teams/{team_id}/vault-connections \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "vault_type": "onepassword",
      "last_verified_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "total_pages": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

Query Parameters

page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
limit
integer
default:50

Items per page

Required range: 1 <= x <= 100

Response

Successful Response

data
VaultConnectionResponse · object[]
required
pagination
PaginationResponse · object
required

Pagination metadata in responses.